Bug 1505587 - [abrt] dnfdragora-gui: YLabel::setValue(): python3.6 killed by SIGSEGV [NEEDINFO]
Summary: [abrt] dnfdragora-gui: YLabel::setValue(): python3.6 killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnfdragora
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Björn 'besser82' Esser
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:7523655d4929f3e52e54fede050...
: 1509607 1556654 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-23 23:28 UTC by ingo
Modified: 2018-03-15 01:08 UTC (History)
13 users (show)

Fixed In Version: dnfdragora-1.0.1-8.git20171229.24e4647.fc27 dnfdragora-1.0.1-8.git20171229.24e4647.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-31 21:28:30 UTC
woiling: needinfo? (extras-qa)


Attachments (Terms of Use)
File: backtrace (263.60 KB, text/plain)
2017-10-23 23:28 UTC, ingo
no flags Details
File: cgroup (289 bytes, text/plain)
2017-10-23 23:28 UTC, ingo
no flags Details
File: core_backtrace (52.37 KB, text/plain)
2017-10-23 23:28 UTC, ingo
no flags Details
File: cpuinfo (1.61 KB, text/plain)
2017-10-23 23:28 UTC, ingo
no flags Details
File: dso_list (20.06 KB, text/plain)
2017-10-23 23:28 UTC, ingo
no flags Details
File: environ (1.57 KB, text/plain)
2017-10-23 23:28 UTC, ingo
no flags Details
File: exploitable (100 bytes, text/plain)
2017-10-23 23:28 UTC, ingo
no flags Details
File: limits (1.29 KB, text/plain)
2017-10-23 23:28 UTC, ingo
no flags Details
File: maps (90.14 KB, text/plain)
2017-10-23 23:29 UTC, ingo
no flags Details
File: open_fds (1013 bytes, text/plain)
2017-10-23 23:29 UTC, ingo
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2017-10-23 23:29 UTC, ingo
no flags Details
File: var_log_messages (28 bytes, text/plain)
2017-10-23 23:29 UTC, ingo
no flags Details

Description ingo 2017-10-23 23:28:37 UTC
Version-Release number of selected component:
dnfdragora-gui-1.0.1-5.git20170505.2a3b056.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/python3 /usr/bin/dnfdragora-updater
crash_function: YLabel::setValue
executable:     /usr/bin/python3.6
journald_cursor: s=b0842082a9604dc3b08bce073cb1e159;i=5f53;b=d0353c60710644a29be8babd9c7085ab;m=891817543;t=55c3d92da4a7b;x=f1a2cfb0d6950f60
kernel:         4.13.5-200.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 YLabel::setValue at /usr/include/yui/YLabel.h:93
 #1 _wrap_YLabel_setValue at /usr/src/debug/libyui-bindings-1.1.2/py3-build-x86_64-redhat-linux-gnu/swig/python/yui_python.cxx:30507
 #2 _PyCFunction_FastCallDict at /usr/src/debug/Python-3.6.2/Objects/methodobject.c:234
 #3 call_function at /usr/src/debug/Python-3.6.2/Python/ceval.c:4809
 #4 _PyEval_EvalFrameDefault at /usr/src/debug/Python-3.6.2/Python/ceval.c:3295
 #5 _PyFunction_FastCall at /usr/src/debug/Python-3.6.2/Python/ceval.c:4891
 #6 fast_function at /usr/src/debug/Python-3.6.2/Python/ceval.c:4926
 #7 call_function at /usr/src/debug/Python-3.6.2/Python/ceval.c:4830
 #8 _PyEval_EvalFrameDefault at /usr/src/debug/Python-3.6.2/Python/ceval.c:3295
 #9 _PyFunction_FastCall at /usr/src/debug/Python-3.6.2/Python/ceval.c:4891

Comment 1 ingo 2017-10-23 23:28:45 UTC
Created attachment 1342439 [details]
File: backtrace

Comment 2 ingo 2017-10-23 23:28:47 UTC
Created attachment 1342440 [details]
File: cgroup

Comment 3 ingo 2017-10-23 23:28:49 UTC
Created attachment 1342441 [details]
File: core_backtrace

Comment 4 ingo 2017-10-23 23:28:51 UTC
Created attachment 1342442 [details]
File: cpuinfo

Comment 5 ingo 2017-10-23 23:28:53 UTC
Created attachment 1342443 [details]
File: dso_list

Comment 6 ingo 2017-10-23 23:28:55 UTC
Created attachment 1342444 [details]
File: environ

Comment 7 ingo 2017-10-23 23:28:56 UTC
Created attachment 1342445 [details]
File: exploitable

Comment 8 ingo 2017-10-23 23:28:58 UTC
Created attachment 1342446 [details]
File: limits

Comment 9 ingo 2017-10-23 23:29:00 UTC
Created attachment 1342447 [details]
File: maps

Comment 10 ingo 2017-10-23 23:29:02 UTC
Created attachment 1342448 [details]
File: open_fds

Comment 11 ingo 2017-10-23 23:29:03 UTC
Created attachment 1342449 [details]
File: proc_pid_status

Comment 12 ingo 2017-10-23 23:29:05 UTC
Created attachment 1342450 [details]
File: var_log_messages

Comment 13 Sr Neko 2017-10-26 18:24:50 UTC
Similar problem has been detected:

y

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/python3 /usr/bin/dnfdragora-updater
crash_function: YLabel::setValue
executable:     /usr/bin/python3.6
journald_cursor: s=527b663187934d859d8b19a3460da102;i=271b;b=47e7690291a6486ab2c1ac3cbf28594b;m=d285fd52;t=55c771009cfbf;x=dabf08c0f41ca82e
kernel:         4.13.8-200.fc26.x86_64
package:        dnfdragora-gui-1.0.1-5.git20170505.2a3b056.fc26
reason:         python3.6 killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 bob 2017-10-28 15:50:47 UTC
*** Bug 1507239 has been marked as a duplicate of this bug. ***

Comment 15 Paulim_hed 2017-11-05 04:33:29 UTC
*** Bug 1509607 has been marked as a duplicate of this bug. ***

Comment 16 Tony 2017-11-12 02:25:08 UTC
*** Bug 1512249 has been marked as a duplicate of this bug. ***

Comment 17 Serafim Dahl 2017-11-15 23:29:24 UTC
*** Bug 1513778 has been marked as a duplicate of this bug. ***

Comment 18 Fedora Update System 2017-12-29 23:23:45 UTC
dnfdaemon-0.3.18-5.fc27 dnfdragora-1.0.1-8.git20171229.24e4647.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d66bd84f06

Comment 19 Fedora Update System 2017-12-29 23:27:59 UTC
dnfdaemon-0.3.18-5.fc26 dnfdragora-1.0.1-8.git20171229.24e4647.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-8caadb4a1b

Comment 20 Fedora Update System 2017-12-30 19:54:51 UTC
dnfdaemon-0.3.18-5.fc27, dnfdragora-1.0.1-8.git20171229.24e4647.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d66bd84f06

Comment 21 Fedora Update System 2017-12-30 20:40:38 UTC
dnfdaemon-0.3.18-5.fc26, dnfdragora-1.0.1-8.git20171229.24e4647.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-8caadb4a1b

Comment 22 Fedora Update System 2017-12-31 21:28:30 UTC
dnfdaemon-0.3.18-5.fc27, dnfdragora-1.0.1-8.git20171229.24e4647.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2018-01-01 22:12:05 UTC
dnfdaemon-0.3.18-5.fc26, dnfdragora-1.0.1-8.git20171229.24e4647.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 24 Richard Haakma 2018-01-29 21:50:56 UTC
Similar problem has been detected:

dnfdragora displays "related" packages which will be installed as dependancies where the CLI dnf program does not display these dependencies. If one or more of these related packages is selected then dnfdragora crashes. Yumex-dnf had similar behaviour.
BTW, dnf list upgrades should really show these extra related packages so that we know what will be installed before dnf upgrade <package with extra dependancies>.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        python3 /usr/bin/dnfdragora-updater
crash_function: YLabel::setValue
executable:     /usr/bin/python3.6
journald_cursor: s=e18a26d4afc94458bedbf78d30073ab4;i=1968ac;b=116fedf083ed4d369e0d9622f71359cb;m=3a5a518a63;t=563f1115df77a;x=8fb6d583b0415
kernel:         4.14.14-200.fc26.x86_64
package:        dnfdragora-updater-1.0.1-9.git20180108.b0e8a66.fc26
reason:         python3.6 killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 25 Woi 2018-02-15 00:17:18 UTC
I can confirm that this bug still exists in version 1.0.1-9.git20180108.b0e8a66.fc26. Can this bug be reopened please?

Comment 26 Woi 2018-03-07 22:36:19 UTC
Today this crashed occurred again. This time on Fedora 27.
QA: Can some one please reopen this bug? I'm missing the necessary rights to do it my self

Comment 27 va7nt 2018-03-15 01:08:24 UTC
*** Bug 1556654 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.